Package com.googlecode.htmlcompressor.taglib

## Class XmlCompressorTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - javax.servlet.jsp.tagext.BodyTagSupport
    - - com.googlecode.htmlcompressor.taglib.XmlCompressorTag

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`

      public class XmlCompressorTag
      extends javax.servlet.jsp.tagext.BodyTagSupport

  JSP tag that compresses an XML content within <compress:xml>. Compression parameters are set by default.
  Author:
    Sergiy Kovalchuk
  See Also:
    `XmlCompressor`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `bodyContent`

    - ### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

      `id, pageContext`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XmlCompressorTag()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `doEndTag()` |
    `void` | `setEnabled​(boolean enabled)` | Sets the enabled.
    `void` | `setRemoveComments​(boolean removeComments)` | Sets the removes the comments.
    `void` | `setRemoveIntertagSpaces​(boolean removeIntertagSpaces)` | Sets the removes the intertag spaces.

    - ### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

      `doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

    - ### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

      `findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### XmlCompressorTag

          public XmlCompressorTag()

  - ### Method Detail

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doEndTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Sets the enabled.
      Parameters:
        `enabled` - the new enabled
      See Also:
        `XmlCompressor.setEnabled(boolean)`

    - #### setRemoveComments

          public void setRemoveComments​(boolean removeComments)

      Sets the removes the comments.
      Parameters:
        `removeComments` - the new removes the comments
      See Also:
        `XmlCompressor.setRemoveComments(boolean)`

    - #### setRemoveIntertagSpaces

          public void setRemoveIntertagSpaces​(boolean removeIntertagSpaces)

      Sets the removes the intertag spaces.
      Parameters:
        `removeIntertagSpaces` - the new removes the intertag spaces
      See Also:
        `XmlCompressor.setRemoveIntertagSpaces(boolean)`